Retail Express API 2.1

Gets specific Loyalty Adjustment Reason by unique id

Gets specific Loyalty Adjustment Reason by unique id

get
https://api.retailexpress.com.au/v2.1/loyaltyadjustmentreasons/{id}

Path Parameters

idinteger(int32)required

Loyalty Adjustment Reason id

Example:1

Headers

x-api-keystringrequired

Api subscription key

Cache-Controlstring

Default:no-cache

Authorizationstringrequired

Bearer token for authorization (e.g., Bearer )

Response

application/json

Returns found Loyalty Adjustment Reason

LoyaltyAdjustmentReason

Loyalty Adjustment Reason Model

* Additional properties are NOT allowed.
idinteger(int32)

Loyalty Adjustment Reason Id.

namestring | null

Loyalty Adjustment Reason name

is_systemboolean

Loyalty Adjustment Reason IsSystem flag

is_deletedboolean | null

Loyalty Adjustment Reason IsDeleted flag

get/loyaltyadjustmentreasons/{id}
 
application/json

Updates Loyalty Adjustment Reason

Sample request:

 PUT /loyaltyadjustmentreasons/12
 {
     "name": "Updated Loyalty Adjustment Reason name",
     "is_deleted": false
 }
put
https://api.retailexpress.com.au/v2.1/loyaltyadjustmentreasons/{id}

Path Parameters

idinteger(int32)required

Loyalty Adjustment Reason id

Example:1

Headers

x-api-keystringrequired

Api subscription key

Cache-Controlstring

Default:no-cache

Authorizationstringrequired

Bearer token for authorization (e.g., Bearer )

Body

application/json

Loyalty Adjustment Reason model

EmptyExample

EmptyExampleobject
* Additional properties are NOT allowed.

Response

application/json

Returns updated Loyalty Adjustment Reason

LoyaltyAdjustmentReason

Loyalty Adjustment Reason Model

* Additional properties are NOT allowed.
idinteger(int32)

Loyalty Adjustment Reason Id.

namestring | null

Loyalty Adjustment Reason name

is_systemboolean

Loyalty Adjustment Reason IsSystem flag

is_deletedboolean | null

Loyalty Adjustment Reason IsDeleted flag

put/loyaltyadjustmentreasons/{id}

Body

{}
 
application/json

Deletes Loyalty Adjustment Reason by id

Deletes Loyalty Adjustment Reason by id

delete
https://api.retailexpress.com.au/v2.1/loyaltyadjustmentreasons/{id}

Path Parameters

idinteger(int32)required

Loyalty Adjustment Reason id

Example:1

Headers

x-api-keystringrequired

Api subscription key

Cache-Controlstring

Default:no-cache

Authorizationstringrequired

Bearer token for authorization (e.g., Bearer )

Response

Loyalty Adjustment Reason deleted

delete/loyaltyadjustmentreasons/{id}
 

loyaltyadjustments

Creates Loyalty Adjustment

Sample request:

 POST /loyaltyadjustments
    {
         "customer_id": 100001,
         "customer_number": "100001",
         "loyalty_points_delta": 50,
         "adjustment_reason": {
             "id": 1
         }
    }
post
https://api.retailexpress.com.au/v2.1/loyaltyadjustments

Headers

x-api-keystringrequired

Api subscription key

Cache-Controlstring

Default:no-cache

Authorizationstringrequired

Bearer token for authorization (e.g., Bearer )

Body

application/json

EmptyExample

EmptyExampleobject
* Additional properties are NOT allowed.

Response

application/json

Loyalty Adjustment created

CustomerLoyaltyHistory

Customer Loyalty History model

* Additional properties are NOT allowed.
idinteger(int32)

Id

created_onstring(date-time)

Created On

order_itemobject

Order Item Model

* Additional properties are NOT allowed.
Show Child Parameters
adjustment_reasonobject

Loyalty Adjustment Reason Model

* Additional properties are NOT allowed.
Show Child Parameters
loyalty_points_deltanumber(double)

Loyalty Points Delta

loyalty_points_availablenumber(double)

Loyalty Points Available

rationumber | null(double)

Ratio

post/loyaltyadjustments

Body

{}
 
application/json